Index: trunk/ab5.0/abdev/BasicCompiler64/CodeGenerator.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler64/CodeGenerator.cpp	(revision 440)
+++ trunk/ab5.0/abdev/BasicCompiler64/CodeGenerator.cpp	(revision 468)
@@ -414,5 +414,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	// [8bit rex] 1000 1011 11xx xbbb
@@ -435,5 +435,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0110 0011 11rr rbbb
@@ -455,5 +455,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0000 1111 1011 1111 11rr rbbb
@@ -476,5 +476,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0000 1111 1011 1110 11rr rbbb
@@ -504,5 +504,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0000 1111 1011 1111 11rr rbbb
@@ -526,5 +526,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0000 1111 1011 1110 11rr rbbb
@@ -555,5 +555,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//0110 0110 [8bit rex] 0000 1111 1011 1110 11rr rbbb
@@ -639,5 +639,5 @@
 	if(REG_R8<=reg&&reg<=REG_R15) RexByte=0x49;
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	if(reg==REG_RAX){
@@ -679,5 +679,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0000 0011 11rr rbbb
@@ -699,5 +699,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0000 0011 11rr rbbb
@@ -747,5 +747,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0010 1011 11rr rbbb
@@ -767,5 +767,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 0010 1011 11rr rbbb
@@ -818,5 +818,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -844,5 +844,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -885,5 +885,5 @@
 	if(REG_R8<=reg&&reg<=REG_R15) RexByte=(char)0x49;
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//rexプリフィックス
@@ -903,5 +903,5 @@
 	if(REG_R8<=reg&&reg<=REG_R15) RexByte=(char)0x49;
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//rexプリフィックス
@@ -939,5 +939,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -973,5 +973,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1007,5 +1007,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1055,5 +1055,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1074,5 +1074,5 @@
 	if(REG_R8<=reg&&reg<=REG_R15) (char)RexByte=0x49;
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	if(reg==REG_RAX){
@@ -1101,5 +1101,5 @@
 	if(REG_R8<=reg&&reg<=REG_R15) RexByte=(char)0x41;
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	if(reg==REG_RAX){
@@ -1152,5 +1152,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1196,5 +1196,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1228,5 +1228,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1269,5 +1269,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 	//[8bit rex] 1000 0101 11rr rbbb
@@ -1308,5 +1308,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1491,5 +1491,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
@@ -1532,5 +1532,5 @@
 	}
 
-	if(RexByte==-1) SetError(300,NULL,cp);
+	if(RexByte==-1) compiler.errorMessenger.Output(300,NULL,cp);
 
 
